#!/bin/bash
#------------------------------------------------------------------------------

set -u

declare OldCL=
declare NewCL=
declare Description=
declare TmpFile=/tmp/tmp.sdp_rel_notes.$$.$RANDOM

if [[ "$(p4 opened //guest/perforce_software/cbd/dev/Version)" != "//"* ]]; then
   echo "Error: The Version file is not checked out. Aborting."
   exit 1
fi

p4 diff //guest/perforce_software/cbd/dev/Version > $TmpFile 2>&1

OldCL=$(grep '< Rev' $TmpFile|cut -d '/' -f 4)
OldCL=${OldCL%% *}
NewCL=$(grep '> Rev' $TmpFile|cut -d '/' -f 4)
NewCL=${NewCL%% *}

if [[ "$OldCL" == "$NewCL" ]]; then
   echo "Error: changelist number not updated in Version file."
   exit 1
fi

echo -e "\nJobs Fixed between changelists $OldCL and $NewCL:\n"
for j in $(p4 -ztag -F %Job% jobs //guest/perforce_software/cbd/dev/...@${OldCL},@${NewCL}); do
   Description=$(p4 -ztag -F %Description% job -o $j|head -1)
   echo "* [$j](https://workshop.perforce.com/jobs/$j): $Description"
done

